## hevea-2.38-1.src.tar.gz

=== Makefile ===
#### Standard configuration parameters
# Compile using ocamlopt, to use ocamlc set TARGET=byte
TARGET=opt
# Install prefix
PREFIX?=/usr/local
# Library directory of hevea
LIBDIR="$(PREFIX)/lib/hevea"
# Where to install programms
BINDIR="$(PREFIX)/bin"
#Where to install hevea.sty
LATEXLIBDIR="$(PREFIX)/lib/hevea"
##### Advanced configuration parameters
SUF=
DIR=
OCAMLC=$(DIR)ocamlc$(SUF)
#OCAMLFLAGS=-w +a-4-9 -warn-error +a
OCAMLFLAGS=-w +a-4-9-41-45-67-70
OCBFLAGS=-j 4 -classic-display

#### End of configuration parameters
#### The Makefile uses ocamlbuild if present.
PGM=hevea.byte hacha.byte esponja.byte bibhva.byte
PGMNATIVE=$(PGM:.byte=.native)

all: $(TARGET)

install: config.sh
	./install.sh $(TARGET)

uninstall: config.sh
	./uninstall.sh

byte: ocb-byte
opt: ocb-opt
both: ocb-both

include libs.def

config.sh: Makefile libs.def handle402.sh
	@( cat handle402.sh &&\
	echo PGM=\"$(PGM)\" &&\
	echo PGMNATIVE=\"$(PGMNATIVE)\" &&\
	echo BINDIR=\"$(BINDIR)\" &&\
	echo LIBDIR=\"$(LIBDIR)\" &&\
	echo LATEXLIBDIR=\"$(LATEXLIBDIR)\" &&\
	echo OCAMLFLAGS=\"$(OCAMLFLAGS)\" &&\
	echo OCBFLAGS=\"$(OCBFLAGS)\" &&\
	echo ALLLIB=\"$(ALLLIB)\" && \
	echo HTMLLIB=\"$(HTMLLIB)\" && \
	echo TEXTLIB=\"$(TEXTLIB)\" && \
	echo INFOLIB=\"$(INFOLIB)\") > $@

clean:: config.sh
	sh ocb.sh clean && rm -f config.sh

ocb-byte: config.sh
	sh ocb.sh byte

ocb-opt: config.sh
	sh ocb.sh opt

ocb-both: config.sh
	sh ocb.sh both

ocb: ocb-$(TARGET)


clean::
	rm -f *~ #*# html/*~ html/#*# text/*~ text/#*# info/*~ info/#*#

=== examples/Makefile ===
LATEX=latex
HEVEA=hevea
BIBHVA=bibhva
HEVEAOPTS=-fix -O -rsz 16
HACHA=hacha
EXDIR=$(HOME)/public_html/hevea/examples
HTML=a.html pat.html suite.html env.html smile.html amstex.html graphics.html graphicx.html verbs.html style-test.html amssymb-test.html boxes.html fancyvrb-test.html
HVA=env.hva  pat.hva  smile.hva  st.hva  suite-macros.hva
STY=suite-macros.sty hevea.sty
TEX=$(HTML:.html=.tex)
DVI=a.dvi pat.dvi suite.dvi amstex.dvi verbs.dvi
TEXT=a.txt pat.txt suite.txt env.txt
INFO=$(TEXT:.txt=.info)
PDF=boxes.pdf fancyvrb-test.pdf

all: dvi html text info test-opt

opt:
	export HEVEADIR=.. ;\
	$(MAKE) $(MFLAGS) HEVEAOPTS="$(HEVEAOPTS)" HEVEA=../hevea.opt HACHA=../hacha.opt BIBHVA=../bibhva.opt html

byte:
	export HEVEADIR=.. ;\
	$(MAKE) $(MFLAGS)  HEVEAOPTS="$(HEVEAOPTS)" HEVEA=../hevea.byte HACHA=../hacha.byte BIBHVA=../bibhva.byte html

dvi: $(DVI)

SUITE=suite.html test.html di.html mp.html lis.html lis2.html\
 acc.html sym.html natbib.html list.html braces.html

sym.html:sym.tex st.hva

natbib.html: natbib.tex
	$(HEVEA) $(HEVEAOPTS) natbib.tex
	$(BIBHVA) natbib
	$(HEVEA) $(HEVEAOPTS) natbib.tex

test-opt:
	export HEVEADIR=.. ;\
	$(MAKE) $(MFLAGS) HEVEAOPTS="$(HEVEAOPTS)" HEVEA=../hevea.opt HACHA=../hacha.opt BIBHVA=../bibhva.opt test

test: $(SUITE) cart-index.html cart-bis-index.html cart-ter-index.html cbook-index.html

TDIR=$(HOME)/public_html/hevea/examples/test
install-test:
	-mkdir -p $(TDIR)
	cp $(SUITE) $(TDIR)
	mv $(TDIR)/test.html $(TDIR)/index.html
	-cp *_motif.{gif,svg} $(TDIR)
	cp cart-index.html cart.css cart[0-9][0-9][0-9].html  $(TDIR)
	cp cart-bis-index.html cart-bis.css cart-bis[0-9][0-9][0-9].html  $(TDIR)
	cp cart-ter-index.html cart-ter.css cart-ter[0-9][0-9][0-9].html  $(TDIR)
	cp cbook-index.html cbook.css cbook[0-9][0-9][0-9].html  $(TDIR)

clean-test::
	/bin/rm -f $(SUITE) cart.html  cart-ter.html cart-bis.html cbook.html natbib.hbbl

cart-index.html: cart.html
	$(HACHA) -o cart-index.html cart.html

cart-bis-index.html: cart-bis.html
	$(HACHA) -tocbis -o cart-bis-index.html cart-bis.html

cart-ter-index.html: cart-ter.html
	$(HACHA) -tocbis -o cart-ter-index.html cart-ter.html

cbook-index.html: cbook.html
	$(HACHA) -o cbook-index.html cbook.html

clean-test::
	/bin/rm -f cart[0-9][0-9][0-9].html cart.css cart-index.html cart.htoc
	/bin/rm -f cart-bis[0-9][0-9][0-9].html cart-bis.css cart-bis-index.html cart-bis.htoc
	/bin/rm -f cart-ter[0-9][0-9][0-9].html cart-ter.css cart-ter-index.html cart-ter.htoc
	/bin/rm -f cbook[0-9][0-9][0-9].html cbook.css cbook-index.html cbook.htoc
	/bin/rm -f natbib.blg natbib.htoc suite.htoc sym.htoc

clean:: clean-test

byte-test:
	export HEVEADIR=.. ;\
	$(MAKE) $(MFLAGS)  HEVEAOPTS="$(TOPTS) $(HEVEAOPTS)" HEVEA=../hevea.byte HACHA=../hacha.byte BIBHVA=../bibhva.byte test

opt-test:
	export HEVEADIR=.. ;\
	$(MAKE) $(MFLAGS)  HEVEAOPTS="$(TOPTS) $(HEVEAOPTS)" HEVEA=../hevea.opt HACHA=../hacha.opt BIBHVA=../bibhva.opt test



html: $(HTML) index.html
text: $(TEXT)
info: $(INFO)

install:
	/bin/rm -rf $(EXDIR)
	mkdir $(EXDIR)
	cp *.gif *.png $(HTML) index.html sym.html tmp.css tmp*.html conclusion.html benchmarks.html hp.c $(EXDIR)
	-cp $(TEXT) $(EXDIR)
	cp Makefile $(TEX) pat.def  $(EXDIR)
	cp $(DVI) $(EXDIR)
	cp $(HVA) $(EXDIR)
	cp $(STY) $(EXDIR)
	$(MAKE) $(MFLAGS) install-test TDIR="$(EXDIR)/test"

a.dvi: a.tex
	$(LATEX) < /dev/null a.tex

a.html: a.tex
	$(HEVEA) $(HEVEAOPTS) a.tex

a.txt : a.tex
	$(HEVEA) $(HEVEAOPTS) -text a.tex

a.info : a.tex
	$(HEVEA) $(HEVEAOPTS) -info a.tex

tmp.tex: pat.def pat.tex
	gpic -t < pat.tex > tmp.tex

hevea.sty: ../hevea.sty
	cp ../hevea.sty .

tmp.bbl pat.dvi: tmp.tex hevea.sty
	$(LATEX) tmp.tex < /dev/null
	bibtex tmp ;
	$(LATEX) tmp.tex < /dev/null
	$(LATEX) tmp.tex < /dev/null
	mv tmp.dvi pat.dvi

tmp.html: tmp.tex pat.hva tmp.bbl 
	$(HEVEA) $(HEVEAOPTS) pat.hva -e pat.def tmp.tex
pat.txt: tmp.tex pat.hva tmp.bbl 
	$(HEVEA) $(HEVEAOPTS) -text pat.hva -e pat.def -o pat.txt tmp.tex
pat.info: tmp.tex pat.hva tmp.bbl 
	$(HEVEA) $(HEVEAOPTS) -info pat.hva -e pat.def -o pat.info tmp.tex

pat.html: tmp.html
	$(HACHA) -o pat.html tmp.html

tenv.tex: env.tex
	gpic -t < env.tex > tenv.tex

env.dvi:tenv.tex 
	$(LATEX) < /dev/null tenv.tex
	mv tenv.dvi env.dvi

env.html: env.hva tenv.tex
	$(HEVEA) $(HEVEAOPTS) env.hva -o env.html tenv.tex
env.txt env.info:


tsmile.tex: smile.tex
	gpic -t < smile.tex > tsmile.tex

smile.dvi:tsmile.tex 
	$(LATEX) < /dev/null tsmile.tex
	mv tsmile.dvi smile.dvi

smile.html: smile.hva tsmile.tex
	$(HEVEA) $(HEVEAOPTS) smile.hva -o smile.html tsmile.tex
smile.txt smile.info:

suite.dvi: suite.tex
	$(LATEX) < /dev/null suite.tex
	makeindex suite
	$(LATEX) < /dev/null suite.tex
	$(LATEX) < /dev/null suite.tex

suite.html: suite.tex
	$(HEVEA) $(HEVEAOPTS) suite.tex
suite.txt: suite.tex
	$(HEVEA) $(HEVEAOPTS) -text suite.tex
suite.info: suite.tex
	$(HEVEA) $(HEVEAOPTS) -info suite.tex

amstex.dvi: amstex.tex
	latex < /dev/null amstex.tex

amstex.html: amstex.tex
	$(HEVEA) $(HEVEAOPTS) amstex

amstex.txt: amstex.tex
	$(HEVEA) $(HEVEAOPTS) -text amstex
amstex.info: amstex.tex
	$(HEVEA) $(HEVEAOPTS) -info amstex

HF.ps: HF.ps.gz
	gunzip < HF.ps.gz > HF.ps

graphics.dvi: graphics.tex HF.ps
	latex < /dev/null graphics.tex


graphics.html: graphics.tex HF.ps
	$(HEVEA) $(HEVEAOPTS) graphics
graphics.txt graphics.info:

graphicx.dvi: HF.ps graphicx.tex
	latex < /dev/null graphicx.tex

graphicx.html: graphicx.tex HF.ps
	$(HEVEA) $(HEVEAOPTS) png.hva graphicx
graphicx.txt graphicx.info:

verbs.dvi: verbs.tex
	latex < /dev/null verbs.tex

verbs.html: verbs.tex
	$(HEVEA) $(HEVEAOPTS) verbs

verbs.txt verbs.info:

index.html: index.tex
	$(HEVEA) $(HEVEAOPTS) index.tex

#############
pdf: $(PDF)

##############Clean
cleanhtml:
	rm -f $(HTML) index.html tmp.html tmp*.html conclusion.html benchmarks.html
cleantext:
	rm -f $(TEXT)
cleaninfo:
	rm -f *.info *.info-*
cleanpdf:
	rm -f $(PDF)

clean:: cleanhtml cleantext cleaninfo cleanpdf
	rm -f *.aux *.log *.dvi *~ *.gif *.pnm *.png *.bbl tmp.* tenv.* tsmile.* *.ilg *.ind *.idx *.image.tex  *.tid HF.ps *.haux *.hidx *.hind *.cut contents_motif.svg next_motif.svg previous_motif.svg


.SUFFIXES: .tex .html .pdf

.tex.html:
	$(HEVEA) -fix $(HEVEAOPTS) $<

.tex.pdf:
	latexmk -pdf  $<

=== PKGBUILD ===
# Maintainer: Konstantin Gizdov <arch at kge dot pw>
# Contributor: Sergej Pupykin <pupykin.s+arch@gmail.com>
# Contributor: Brian Nguyen <bhnguyen@gmail.com>
# Original Packager: Tom K <tomk@runbox.com>

pkgname=hevea
pkgver=2.38
pkgrel=1
pkgdesc="A quite complete and fast LATEX to HTML translator"
arch=(x86_64)
depends=('texlive-bin')
makedepends=('ocaml' 'ocamlbuild')
license=('GPL')
url="http://pauillac.inria.fr/~maranget/hevea/"
source=(http://pauillac.inria.fr/~maranget/$pkgname/distri/$pkgname-$pkgver.tar.gz)
sha256sums=('722038065007226f0fa3de4629127294d2e29bfbbc41042c83a570fa0c455a47')

build() {
  cd $pkgname-$pkgver
  make PREFIX=/usr
}

package() {
  cd $pkgname-$pkgver
  DESTDIR="$pkgdir" make install
  mkdir -p "$pkgdir"/usr/share/texmf/tex/latex
  ln -s /usr/lib/hevea/hevea.sty "$pkgdir"/usr/share/texmf/tex/latex/hevea.sty
}
